Public Member Functions | Public Attributes | List of all members
DocMkrTextInternal::State Struct Reference

Internal: the state of a DocMkrText. More...

## Public Member Functions
| State ()
| constructor More...
Zone & | getZone (int id)
| returns the zone corresponding to an id More...

## Public Attributes
int | m_version
| the file version More...
int | m_numPages
int | m_actualPage
double | m_pageWidth
| the page width ( not really define so default value 8.5) More...
std::map< int, Zone > | m_idZoneMap
| the map of id -> text zone More...
Footer | m_footer
| the footer More...
TOC | m_toc
| the table of content More...

## Detailed Description

Internal: the state of a DocMkrText.

## Constructor & Destructor Documentation

## ◆ State()

DocMkrTextInternal::State::State | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ getZone()

Zone& DocMkrTextInternal::State::getZone | ( | int | id | ) |
| inline

returns the zone corresponding to an id

## Member Data Documentation

## ◆ m_actualPage

int DocMkrTextInternal::State::m_actualPage

## ◆ m_footer

Footer DocMkrTextInternal::State::m_footer

the footer

## ◆ m_idZoneMap

std::map<int, Zone > DocMkrTextInternal::State::m_idZoneMap

the map of id -> text zone

## ◆ m_numPages

int DocMkrTextInternal::State::m_numPages

## ◆ m_pageWidth

double DocMkrTextInternal::State::m_pageWidth

the page width ( not really define so default value 8.5)

## ◆ m_toc

TOC DocMkrTextInternal::State::m_toc

the table of content

## ◆ m_version

int DocMkrTextInternal::State::m_version
| mutable

the file version

The documentation for this struct was generated from the following file:

- DocMkrText.cxx